<%inherit file="base.html"/>

<%block name="media">
    <script src="/static/js/controller/util.js" type="text/javascript" ></script>
    <script src="/static/js/ui/empresas.js" type="text/javascript" ></script>
</%block>

<%block name="content">

<div id="form_empresas"></div>

<script type="text/javascript" charset="utf-8">

function agregar_empresa(values){
    webix.ajax().post("/empresas", values, function(text, data, xhr) {
        var values = data.json();
        if (values.ok) {
            $$('form_empresas').clear()
            $$('grid_empresas').add(values.row)
            $$('grid_empresas').refresh()
            msg_ok(values.msg)
        } else {
            msg_error(values.msg)
        }
    })
}


function validate_nuevo_rfc(){
    var msg = ''
    var form = this.getFormView();

    if (!form.validate()) {
        msg = 'Valores inválidos'
        msg_error(msg)
        return
    }

    var values = form.getValues()

    if(!validar_rfc(values['alta_rfc'])){
        return
    }

    values['opt'] = 1

    msg = '¿Estás seguro de agregar este nuevo emisor?'
    webix.confirm({
        title: 'Agregar Emisor',
        ok: 'Si',
        cancel: 'No',
        type: 'confirm-error',
        text: msg,
        callback:function(result){
            if(result){
                msg = 'Agregando empresa, espera la confirmación...'
                msg_ok(msg)
                agregar_empresa(values)
            }
        }
    })


}


function borrar_empresa(id){
    var row = $$('grid_empresas').getItem(id)
    webix.ajax().del('/empresas', {rfc: row.rfc}, function(text, xml, xhr){
        msg = 'Emisor eliminado correctamente'
        if(xhr.status == 200){
            $$('grid_empresas').remove(id)
            msg_ok(msg)
        }else{
            msg = 'No se pudo eliminar'
            msg_error(msg)
        }
    })
}


function grid_empresas_click(id, e, node){
    if(id.column != 'delete'){
        return
    }

    msg = '¿Estás seguro de borrar el RFC seleccionado?<BR><BR>ESTA ACCIÓN NO SE PUEDE DESHACER'
    webix.confirm({
        title: 'Borrar Emisor',
        ok: 'Si',
        cancel: 'No',
        type: 'confirm-error',
        text: msg,
        callback:function(result){
            if(result){
                borrar_empresa(id.row)
            }
        }
    })

}


function respaldar_bd(){
    webix.ajax().post("/empresas", {'opt': 2}, function(text, data, xhr) {
        var values = data.json();
        if (values.ok) {
            msg_ok(values.msg)
        } else {
            msg_error(values.msg)
        }
    })
}


function cmd_respaldar_bd(){
    msg = '¿Estás seguro de respaldar las Bases de Datos?'
    webix.confirm({
        title: 'Respaldar BD',
        ok: 'Si',
        cancel: 'No',
        type: 'confirm-error',
        text: msg,
        callback:function(result){
            if(result){
                msg = 'Respaldando Bases de datos...'
                msg_ok(msg)
                respaldar_bd()
            }
        }
    })
}


webix.ready(function(){
    webix.ui(ui_empresas)
    $$('grid_empresas').attachEvent('onItemClick', grid_empresas_click)
})

</script>

</%block>
